package ai.pai.lensman.utils;

/**
 * Created by chengzhenyu on 2015/8/20.
 */
public class UrlContainer {

    public static final String HOST_URL = "http://api.pai.ai/";

    public static final String CHECK_UPDATE_URL = HOST_URL+"op/upgrade";

    public static final String LOGIN_URL = HOST_URL+"login";

    public static final String SESSION_IDS_CREATE = HOST_URL+"uuid";

    /**
     * user_id  # 用户唯一标识
     * nickname  # 用户昵称
     * session_id  # SESSION唯一标识
     * photo_id  # 照片唯一标识
     * photo  # @File 需要上传的照片
     * current_id  # 当前以获取照片最大id，不传默认为-1
     */
    public static final String PHOTO_UPLOAD_URL = HOST_URL+"l/upload";

    /**
     * unionid  # 摄影师微信授权 Unionid
     * openid  # 摄影师微信授权 Openid
     * sex  # 性别
     * nickname or screen_name  # 昵称，Android 和 iOS 貌似不同
     * headimgurl or profile_image_url  # 头像，Android 和 iOS 貌似不同
     * country  # 国家
     * province  # 省份
     * city  # 城市
     */
    public static final String WX_LOGIN_URL = HOST_URL+"l/wx/authorize";

    public static final String BRIEFS_URL = HOST_URL+"l/brief";

    /**
     * user_id  # 用户唯一标识
     */
    public static final String QUERY_ORIGIN_ORDER_URL = HOST_URL+"l/origin_wanted";

    /**
     * user_id  # 用户唯一标识
     nickname  # 用户昵称
     session_id  # SESSION唯一标识
     photo_id  # 照片唯一标识
     photo  # @File 需要上传的照片
     */
    public static final String ORIGIN_PHOTO_UPLOAD_URL = HOST_URL+"l/origin_upload";

    /**
     * user_id  # 用户唯一标识
     feedback  # 反馈内容，数据库 text 类型存储
     src  # 用户反馈来源，0 拍爱用户端，1 拍爱摄影师端，不传默认 0
     */
    public static final String FEEDBACK_URL = HOST_URL +"op/feedback";

    /**
     * user_id  # 用户唯一标识
     nomark  # 无水印价格（单位：分）
     origin  # 高清图价格（单位：分）
     */
    public static final String PRICE_FIX_URL = HOST_URL+"l/price_fix";

    public static final String PLATFORM_PRICE_RULES_PAGE_URL = "http://pai.ai/page/price";

    public static final String PATCH_CONFIG_URL = HOST_URL+"op/patch";

    public static final String SERVER_TIME_URL=HOST_URL+"s/server_time";

    /**
     * 盒子程序版本信息
     */
    public static final String BOX_VERSION_URL = HOST_URL+"op/bpversion";

}
